summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-13 13:44:41 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-13 13:44:41 +0000
commit14cc13b49b15912f296dc250cdfd01fd91fc9c09 (patch)
tree04b9f1fcd3c426a1085a03f2d5d58e0db7a308cf /dev-python
parent987deaca2d55f6633ddfb2af06278c335c9a9842 (diff)
downloadbaldeagleos-repo-14cc13b49b15912f296dc250cdfd01fd91fc9c09.tar.gz
baldeagleos-repo-14cc13b49b15912f296dc250cdfd01fd91fc9c09.tar.xz
baldeagleos-repo-14cc13b49b15912f296dc250cdfd01fd91fc9c09.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aws-sam-translator/Manifest1
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.35.0.ebuild46
-rw-r--r--dev-python/bitarray/Manifest2
-rw-r--r--dev-python/bitarray/bitarray-1.7.1.ebuild (renamed from dev-python/bitarray/bitarray-1.6.3.ebuild)0
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.27.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.27.ebuild59
-rw-r--r--dev-python/cfn-python-lint/Manifest1
-rw-r--r--dev-python/cfn-python-lint/cfn-python-lint-0.47.2.ebuild52
-rw-r--r--dev-python/ddt/Manifest1
-rw-r--r--dev-python/ddt/ddt-1.4.2.ebuild29
-rw-r--r--dev-python/ddt/metadata.xml2
-rw-r--r--dev-python/defcon/Manifest1
-rw-r--r--dev-python/defcon/defcon-0.8.1.ebuild28
-rw-r--r--dev-python/llvmlite/Manifest1
-rw-r--r--dev-python/llvmlite/llvmlite-0.36.0.ebuild56
-rw-r--r--dev-python/moto/Manifest1
-rw-r--r--dev-python/moto/moto-2.0.2.ebuild74
-rw-r--r--dev-python/pycollada/metadata.xml11
-rw-r--r--dev-python/pycollada/pycollada-0.7.1.ebuild2
-rw-r--r--dev-python/snakeoil/Manifest1
-rw-r--r--dev-python/snakeoil/snakeoil-0.9.4.ebuild28
-rw-r--r--dev-python/yapf/Manifest1
-rw-r--r--dev-python/yapf/yapf-0.31.0.ebuild26
25 files changed, 473 insertions, 8 deletions
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index 5a15df357325..6e6e41ff7e8e 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1 +1,2 @@
DIST aws-sam-translator-1.34.0.tar.gz 831469 BLAKE2B fa6820ef8640b649c9866d3e33ca5bb889bb8041ad15ce93b672ba0d84a3396db03ac55c877f303359f20ef1afdcadb257b84616a4376640279ff47dd9d86b43 SHA512 704bb55c99485e37d8fda853ee8b4f36472c8ccc83951bbc48eaaf2a0049765820c9036ad48a0c03b2d267378e5bf3c3155986ceee2e6efae8bb28bff1e68ec7
+DIST aws-sam-translator-1.35.0.tar.gz 867345 BLAKE2B b2775f9ce0d3e20fa5b3b5a9b68100f1338576229a9380cf7afb08e9c75fedfb926a06c1c71b96df9883e5306de355f720e624d0d1150c12b58c4dc4098309f2 SHA512 14e22095d497df9e0fcfdaea83c93edd881837ed57e508cfcb484abd5241dce60059b349b3bba92c307515b4c4018e8e065342e9133e401004a04baf3182ec46
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.35.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.35.0.ebuild
new file mode 100644
index 000000000000..ad6656565090
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.35.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="https://github.com/aws/serverless-application-model
+ https://pypi.org/project/aws-sam-translator/"
+SRC_URI="https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/serverless-application-model-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/boto3-1.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-2.6[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # remove pytest-cov dependency
+ sed -r -e 's:--cov(-[[:graph:]]+|)[[:space:]]+[[:graph:]]+::g' \
+ -i pytest.ini || die
+
+ # don't install tests
+ sed -e 's:"tests",:"tests", "tests.*",:' -i setup.py || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/bitarray/Manifest b/dev-python/bitarray/Manifest
index b77a3009a14a..f02c5a8299a8 100644
--- a/dev-python/bitarray/Manifest
+++ b/dev-python/bitarray/Manifest
@@ -1,2 +1,2 @@
-DIST bitarray-1.6.3.tar.gz 57799 BLAKE2B e6c1c1b143d8be4b7aa8e9a02daabaada56dc37715ec2cd36d970767f482cd6239b2ba2f5d28b96e0eabe8e7163077aad6584dadea0d8d10887a385bc96dd68e SHA512 11605959b8d94ad3a2ec947663401a6987058ec6298bef7bb6368711c3aa1f9d47b2245bd820395f0b75399f24065ad38e038e6d1d91f2535af48edbac9de3ba
DIST bitarray-1.7.0.tar.gz 58400 BLAKE2B 04c7abea55e41914b56daf23efcf3e365d9ff1aa7d7e59c0e9b400a882d0080f393f1e07e7e0141fd84223e9b42fb2bce22bbeeb79543dcd49189b2cd302e24a SHA512 211f678977dcbf8adadc93204a6edbf915123daa518616ba6a8587d0b29f3873281bdf796c60ea12988b37b0fba4e6ad5fbfadde03eea7c3ad5179af246fc492
+DIST bitarray-1.7.1.tar.gz 58441 BLAKE2B f09fa3ffe2cc6534984e9da05ddff767dcca59075f5f08977237eab592a8e3e28ebec2d2bde89a21bba14f4c59a5e0411be50abfe562ebfbaaeca01339786dec SHA512 f45461699f5e48b97001c64c514cdafe208fe31f7cf6c211aa0fb2f32d46028717fcbeb38b812bc8f349226537a3ec6dfec97bc7ecf7253d484332307504abd0
diff --git a/dev-python/bitarray/bitarray-1.6.3.ebuild b/dev-python/bitarray/bitarray-1.7.1.ebuild
index 012b3f886892..012b3f886892 100644
--- a/dev-python/bitarray/bitarray-1.6.3.ebuild
+++ b/dev-python/bitarray/bitarray-1.7.1.ebuild
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 54b2626c31d6..3ca4647e2d87 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -10,4 +10,5 @@ DIST boto3-1.17.23.tar.gz 348518 BLAKE2B 53e918cbb39f4cc1a5fc9303817efe7fade551c
DIST boto3-1.17.24.tar.gz 349323 BLAKE2B 41a15fb92218d9aa936300054805b4cda52f373165e6d9f1f0b9f1edc0035e95a1134a407dd740856f8d28878e77ea669e6589ca20ab7af616390fda575d661c SHA512 57bc612e1f86edd2264364ad35c4a334a0ed98173d4f1e6808dce0b3c65dda4eb550fa231520aa67259a185d37e2b9e61e5ab4e1d7c41f7a0f22f270d1a07867
DIST boto3-1.17.25.tar.gz 349475 BLAKE2B 272c5bebed211d015638a652109f2b56475e0d682ff585915061a495ce26ca6c12a5e844f9d4b73fca105c2f40e3fe7c1aa5bee045af284f45e74899cde3fde2 SHA512 d24c118a4af747360f226c9c6e98e26ad3dacf34f13dadb084fef4e7404d1141c66cf5d7074eeea2c792b134e7b83174bc0be0c387c478fd61de646118b41b9e
DIST boto3-1.17.26.tar.gz 349529 BLAKE2B 8510b229aea7b725c6286772dff6d54a9df684eac7e455929c059fd02919238335c88af5c655e89bfb5821ac4b70415c8dbd2c549563d008823104d6d54088be SHA512 5ceb9dc557796471f4d582bdf47614a078285a83f9463acb92e5e59e9f82dbca379bf02c2288cf38cb5741f7860d6c8b23872305209d8a4ece697943cd06932d
+DIST boto3-1.17.27.tar.gz 349887 BLAKE2B 1fde4af489c98b8c4f77660ad278abf6641f70da3a0f84ff33d29d082cd283cd8a9faa17a3d9675ca26453f8928c57bb2e3966c607ab677ed814e544c6c928bb SHA512 9c3e45d17a179edf6ff75c9392a3e16323029e4bcefec757a6dd94ccfad5afe718bf91ca6a72ea59fa2791d5a87e9c4b84d147d35b7f584d2df0f73a623c13fb
DIST boto3-1.17.7.tar.gz 346682 BLAKE2B 08c06dda1d59b4f555cad075673917b38cbf9ad8d0037f66027b17076e60b4d5fd32a93e088635320ebc3226a9cd8809c9208ec84f8588c26a77766b21dbee98 SHA512 2ba1817575c4a64c232c84a75a9d3b0db1de8634ded9aa31844930a82ccf4611805c6dd31b2e4d36cc9a2cc1813d233b4d7366305eaf28efd46a3b843d3c2993
diff --git a/dev-python/boto3/boto3-1.17.27.ebuild b/dev-python/boto3/boto3-1.17.27.ebuild
new file mode 100644
index 000000000000..2df16964cdb0
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.27.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index c1c209b25d9d..2312f401776a 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -10,4 +10,5 @@ DIST botocore-1.20.23.tar.gz 7499542 BLAKE2B abcc28ec69d30ddff06ac2e2f3e2c0dcd73
DIST botocore-1.20.24.tar.gz 7503493 BLAKE2B fdc1de907a8201ecc63435b2f3cef38ec40ac8cb6b23bf20140db3d5def46dae3a6d66ee0f1cf268bfa63fa9cbcd7f0835570a91b3c538c3303350499e3a1964 SHA512 26ab23f2b3fb8c5b6b0fbd3045761ae81b4abf07c3457307a3b79f7b2a3840b5f1bca5ca669aa98d2465c9c39bb1250f93f2254bace5bfc75849745804f29061
DIST botocore-1.20.25.tar.gz 7508526 BLAKE2B 244b578cc0596e4fc6b225cd29d0b5ca2e42159dcc506ff3f0a730e3602166ca52bb1a4a2ea8049b86fe6409ac521e30d1f0ff02deec8550a4187579b9a43f9f SHA512 010aac3c0021c7406471cae2c0b13a33dde620b2d7e5df96170971459b9f425d9ffb2a3ad08a650c3097924ff12b34354983ef36336e2afd0172fc3a73f988e7
DIST botocore-1.20.26.tar.gz 7510615 BLAKE2B bc8716642c09ec74f7d057bcd9608cbbad98fcb4caf09e0684a03744fda81c0483aebaa4c85e416dac7d54d0f2804aba59f15e714211b59edd824cd3067ed412 SHA512 30ce061c1b7e1830caaf7382352180f9316f8d1d806269726ef3bc00eeb7a3fc7689e43eb4666fe700ca2de564b427c4916289a555aca0138a630059462216c9
+DIST botocore-1.20.27.tar.gz 7518860 BLAKE2B 73a5a5302a0adfe9c72ec40f0edec8fc97f9dcec0428f5785f2546d50e4b8eb8a9c287b29218ebd8ebe091ef0fd022a5b0ba459aae435c363511484a936d2ffb SHA512 1b63295a2f6cdf2c06cc10cd35c350a07eb5326bbd42f2dc2084bb54cac3ebb40f0635180e227632184a6bbff3b58b67bd90878acbfa4cc61879b7b8e77f3fbc
DIST botocore-1.20.7.tar.gz 7458254 BLAKE2B 8b9a1edda73e2564d3a3d67c6b3542d1ec9372403cb4d88396e58dfbcb5987821f278f2757e079e1ab32e03243ed3a6d1023ecc591b965512b3af5e2d43ea7b0 SHA512 9b023a31be866a50b94017a28aca40b5fe2e720959c928a3fd93db96041f3886049717f50461222a09572c0c56c5961a4614b80e400e4fa6d8b3ff4b4ab681df
diff --git a/dev-python/botocore/botocore-1.20.27.ebuild b/dev-python/botocore/botocore-1.20.27.ebuild
new file mode 100644
index 000000000000..9d681f87244c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.27.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/cfn-python-lint/Manifest b/dev-python/cfn-python-lint/Manifest
index 97f876b314ef..394b31c3ec2e 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -3,3 +3,4 @@ DIST cfn-python-lint-0.44.7.tar.gz 5711448 BLAKE2B b38b90ca7d181dc655b07a0151aca
DIST cfn-python-lint-0.46.0.tar.gz 6287874 BLAKE2B 7ec2665596b50697c95e32b40f736822d718d4682d3a41f72b94e45f1b42a386d2d44cb5447826010c01ccd8da655e394b7379764e5e8ca2a79db22c274cc033 SHA512 b87751a719fc037dca2533bb8e14a483bc85d4460b73c7ef2a2d2fff188bd1c611d9828dbf13eca16781e21124123a85c723054bc460243df8ee9fcba5d8e104
DIST cfn-python-lint-0.47.0.tar.gz 6326333 BLAKE2B 450190ab374f491c034a93edfdb0d5c006c8468deee285dba676f055557f4017ecbfa68ffb10a052ea2d46aa4c6d94870261065e26bdd4a753978fca76778914 SHA512 b2349730993758578226253ae6ab942658bc3d9326d75ad1ec029ce093112697fb2a15ee63377dff210a33111de9940b391d276c0ff4894a2b68e545f1783fbb
DIST cfn-python-lint-0.47.1.tar.gz 6446725 BLAKE2B b4e2ce6bfd51a919f93eb5a13d5318392b9e3483d6e8d4645f7c67b82e42075d047b9e565e488413dad9196f79a15b01639af158b0335f0c9360815fd276324b SHA512 8f568d29e0857697fbb82962b6864bdfed930f052fd5f125e993222ebc17bd325ffea373261c0dda5cb899af3a8e4dcf9fbf8d06d32182e1679c491943811bf8
+DIST cfn-python-lint-0.47.2.tar.gz 6478541 BLAKE2B 1955c6aa43512d4249741db982a6e4e5fe46daa3197d028590269d74690de2f67a1615e4907bfc434fb1e265770780a5c0da2a19c2bdfa8b44dfc7b0386e4405 SHA512 26e2e4cc26090e6da54ff0f90b9e35767e1d5677321cfb84ff00f820477d6ab576e7f58219346f48eb838dccf662df3a8a75e709cfa9690868d85130745f0cc8
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.47.2.ebuild b/dev-python/cfn-python-lint/cfn-python-lint-0.47.2.ebuild
new file mode 100644
index 000000000000..fbf7b8c88b2b
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.47.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-python-lint"
+SRC_URI="https://github.com/aws-cloudformation/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.25.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py || die
+ # requires Internet
+ sed -e 's:test_update_resource_specs_python:_&:' \
+ -i test/unit/module/maintenance/test_update_resource_specs.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/ddt/Manifest b/dev-python/ddt/Manifest
index af6e228e0711..b078bdb86513 100644
--- a/dev-python/ddt/Manifest
+++ b/dev-python/ddt/Manifest
@@ -1 +1,2 @@
DIST ddt-1.2.2.tar.gz 15170 BLAKE2B 4fb4a4493b96b7d45e060146212d6f2b4b31ecfa8ad5650da34cedb53725b20cbecafc765f3208cffbb3bb3c4f92579e94f369c9b8216e9693eb0fcddff96af9 SHA512 9b45c4b422cab9e6858235b413b622f077bf4e5254214165c50afdea767dda7d9f39e7be7b0d583b87849a078271f4fba34ac5fe0f35bd196eb7f396bd308fe7
+DIST ddt-1.4.2.tar.gz 17802 BLAKE2B c6ee061c48f5954f22bce20c255fa4c52aed9b756a22ec3678108abd78e66294c3f1e0316c4fcf2cc4fd6337915efbadf7bd123a2144ea38151079b85f2905a5 SHA512 f494c266af0f018d0c354309674cbf8c98bd8ba31ceb1820243ec1d92449ce712a21d22340fbfb4b1d850f4496a4cfcb4c24b346e88587c3dc025e2ef9496ad2
diff --git a/dev-python/ddt/ddt-1.4.2.ebuild b/dev-python/ddt/ddt-1.4.2.ebuild
new file mode 100644
index 000000000000..63a0d0f1ea3f
--- /dev/null
+++ b/dev-python/ddt/ddt-1.4.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A library to multiply test cases"
+HOMEPAGE="
+ https://pypi.org/project/ddt/
+ https://github.com/datadriventests/ddt/"
+SRC_URI="
+ https://github.com/datadriventests/ddt/archive/${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="test"
+
+BDEPEND="
+ test? (
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/ddt/metadata.xml b/dev-python/ddt/metadata.xml
index 8ebd4600ec71..c00745aae00d 100644
--- a/dev-python/ddt/metadata.xml
+++ b/dev-python/ddt/metadata.xml
@@ -15,7 +15,7 @@
</maintainer>
<upstream>
<remote-id type="pypi">ddt</remote-id>
- <remote-id type="github">txels/ddt</remote-id>
+ <remote-id type="github">datadriventests/ddt</remote-id>
</upstream>
<origin>gentoo-staging</origin>
<stabilize-allarches/>
diff --git a/dev-python/defcon/Manifest b/dev-python/defcon/Manifest
index 59f51dcce74f..df920c800326 100644
--- a/dev-python/defcon/Manifest
+++ b/dev-python/defcon/Manifest
@@ -1,3 +1,4 @@
DIST defcon-0.6.0.tar.gz 403682 BLAKE2B c85cf4f846cab3f7543dcec885221e9f828cdf56fb1a373c9d06b27a29c1ab22fc9702d2ce561af97e3d4aa3b03712538ce0b29a0042fa4a0fea6f11eacba69b SHA512 b981c87d2355dc83b5da0ea4879707336ade8ea4d6ca2bc13da064367938579f2a60dfa5b1c0fd3629f4a2de97676e4f02f30f99a6116049cc2a10abd13a3d7b
DIST defcon-0.7.2.tar.gz 424146 BLAKE2B 6a3cc6c4bd8ccf030cda5fdaa3d7d2ba8aabc74daf71ce9a006de015d459ff0e5d876d584e7873fba7349a2941490db8d0ebd9a9c880e80db534b231639d3147 SHA512 9cf402b6626b75222e351d11afcde3e0c8be88b3ceb6ed4ff68cc3762b636905b61f31ece288f4d7e5273b6cd2b044661188a39fde1941e1bb5b483b23f3b42e
DIST defcon-0.8.0.tar.gz 424547 BLAKE2B 4018479d0d67603af58680c1150a143f92230c77b6fd6bda6741ed3f42403c7a7eb2ddc62632ffbf73096fffe8f089975b43a5bb88562ba059fa09ee2e0da12c SHA512 a7b0baec983a3051c7cd804b93983318c14f56a1a88f8f95699b0429740d7b3b27f6f6ab21fd1c31b542008b6f0924aae39e609fc4498ee64c0592272b536b8c
+DIST defcon-0.8.1.tar.gz 424712 BLAKE2B f2f2e3e811eeb163a875686dc6658376dfd9c09a8a9e3de2e6fdf512f25e93d5f6d8ac9ad3c31c70ecdcdd2c30b0e6a3d9b7a222bcd7065feba0b2e805e8eead SHA512 40606bd861fc7100d955e23ad6efb3879572179c81b730404afe41cef1e45ae5f54efb716af61866ac226ae057c6d85a123f4790442c085c054ff3cb5ec84108
diff --git a/dev-python/defcon/defcon-0.8.1.ebuild b/dev-python/defcon/defcon-0.8.1.ebuild
new file mode 100644
index 000000000000..c6e27f6179de
--- /dev/null
+++ b/dev-python/defcon/defcon-0.8.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A set of UFO based objects for use in font editing applications"
+HOMEPAGE="https://github.com/robotools/defcon"
+SRC_URI="https://github.com/robotools/defcon/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-python/fonttools-3.31.0[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/fs[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/llvmlite/Manifest b/dev-python/llvmlite/Manifest
index f06c761a5fbd..76198df00678 100644
--- a/dev-python/llvmlite/Manifest
+++ b/dev-python/llvmlite/Manifest
@@ -1,2 +1,3 @@
DIST llvmlite-0.34.0.gh.tar.gz 210438 BLAKE2B 832ec28047a51b2874a0de5885445b9d77942a70f86620dfb0b25ff0b17395b6009d31d5e9f27ddf02c19ae97bd5b325fc49227fdc0499a9f5fa3bde44e6b564 SHA512 5540df4ebad835e294c00cc09ab1230a530566f563f751f890752f6e22f7b2a04aedcbb53dbbb8e323198d05c80bc9699b593d919eaf1af60fa6f94ff6f50bb1
DIST llvmlite-0.35.0.gh.tar.gz 228089 BLAKE2B 5cee01244552cfc1c2ba979709170484ed253f52c5c47a4a254bf7d26c935ff0d2a858b7a7f4ec7719644495383128adab11a1287849cd426b7997da4a59efeb SHA512 345b6321277749a169cd87e152261ef499edbf18d18ef7085017c111f2892eac0241529cfae9c6eaaeb68cdb4d726965ed03b4d5a836501dcbdaa73d3c0796fd
+DIST llvmlite-0.36.0.gh.tar.gz 232059 BLAKE2B 2d1ace28003d52271fb20f086ba37bec1f2f72c0092ea7a8fa2a1ee8d30c319f9625938a8ebdb69dec5dec63d5a67b598a071401e5e1db9de973d55fd889dc8a SHA512 a769255f276e429def4d6f8d35d516df3ae3e026fb8b4af33c1695a9ea24c64a84c38943b530756c4ffc5c619611158e947de391bba501223dbf2a4cd21d53c0
diff --git a/dev-python/llvmlite/llvmlite-0.36.0.ebuild b/dev-python/llvmlite/llvmlite-0.36.0.ebuild
new file mode 100644
index 000000000000..c624b887f6b3
--- /dev/null
+++ b/dev-python/llvmlite/llvmlite-0.36.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 llvm
+
+DESCRIPTION="Python wrapper around the llvm C++ library"
+HOMEPAGE="https://llvmlite.pydata.org/"
+SRC_URI="https://github.com/numba/llvmlite/archive/v${PV/_/}.tar.gz -> ${P/_/}.gh.tar.gz"
+S=${WORKDIR}/${P/_/}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+LLVM_MAX_SLOT=10
+
+RDEPEND="
+ sys-devel/llvm:${LLVM_MAX_SLOT}
+ sys-libs/zlib:0=
+"
+DEPEND="${RDEPEND}"
+
+python_configure_all() {
+ # upstream's build system is just horrible, and they ignored the PR
+ # fixing it, so let's build the shared lib properly using implicit
+ # make rules
+
+ export LDLIBS=$(llvm-config --libs all)
+ export CXXFLAGS="$(llvm-config --cxxflags) -fPIC ${CXXFLAGS}"
+ export LDFLAGS="$(llvm-config --ldflags) ${LDFLAGS}"
+
+ local files=( ffi/*.cpp )
+ emake -f - <<EOF
+ffi/libllvmlite.so: ${files[*]/.cpp/.o}
+ \$(CXX) -shared \$(CXXFLAGS) \$(LDFLAGS) -o \$@ \$^ \$(LDLIBS)
+EOF
+
+ export LLVMLITE_SKIP_LLVM_VERSION_CHECK=1
+}
+
+python_test() {
+ "${EPYTHON}" runtests.py -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index 95699ecf1446..e5d54acdf362 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -2,3 +2,4 @@ DIST moto-1.3.14.tar.gz 1829165 BLAKE2B 2ec30c4cc571492a9d2c08f66a39ad04cfc0baa7
DIST moto-1.3.16.tar.gz 1761006 BLAKE2B adb48ac770e0753403fd41309ebc2085e5d9cdfad5dc791d9cc1216af10e55038c37526a8549a034a3327d821c56b0f6cdd775a17336285bfc637c09191dd78d SHA512 80a1335fea8d6dd42b4062365da4719d26cd6c18e5c186c950bbb844dce44e91ffe5e5173742f3b60d6ba2cab93d45359b43c2cb0ccf74d16009986457c243a4
DIST moto-2.0.0.tar.gz 5054551 BLAKE2B be9b18909f90b22fe57d47e2eea50144b4ac8046dde0123249079f53c8f3c2ea70513b29cde1030ad923be7d50c6021351c8aa9c65bc0b95510a4f4de9d4d111 SHA512 285eff39004b291d112c455f44e30fe441d74c08aff614f5c97e7c52a68edb200d7077722f1e7bca38a63694aabf2ff56994cd1229e449b2f1afdf3945735fc7
DIST moto-2.0.1.tar.gz 1530088 BLAKE2B eb35bcbc8b22044ae86eaa6eb1f71eb24174a8686ef06d475c870ef629d0a525719c4f153cb0a55fa27f3c33568a5796a07ce903800468557dfe275de3da3623 SHA512 d650140c76a2090332fd9f4c8be84379d4e578a63125d473b821d59bff9f93ee8e696268e4784df13f2ee3b8b6967fd10cbd94750f37e63967ed679b4a301682
+DIST moto-2.0.2.tar.gz 1534459 BLAKE2B b4609f332e8f8eb8d61250919eca805f82a6dfc468cf0b9cfe81f462aae9f93373efec6165c818589abe60955abe061a273148a36e4b1f8534ce9fa7e59f5cd2 SHA512 b478f9938f8e7b92c3e718a1aea5907c2070bda42995050d39f8e62cbd7cfd30fe4c9cbd7e7475f5a50c71c3370a89f53480adcf83df1fe08968125f2a1427f6
diff --git a/dev-python/moto/moto-2.0.2.ebuild b/dev-python/moto/moto-2.0.2.ebuild
new file mode 100644
index 000000000000..6bc9dac3d30f
--- /dev/null
+++ b/dev-python/moto/moto-2.0.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="https://github.com/spulec/moto"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-python-0.93[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/backports-tempfile[${PYTHON_USEDEP}]' python3_{6,7})
+ dev-python/boto[${PYTHON_USEDEP}]
+ dev-python/cfn-python-lint[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ dev-python/dicttoxml[${PYTHON_USEDEP}]
+ >=dev-python/docker-py-2.5.1[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/jsondiff-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.9.201[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.12.201[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/pretty-yaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ >=dev-python/sure-1.4.11[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # unping indirect dep on ecdsa that's supposed to workaround pip
+ # bugs
+ sed -i -e '/ecdsa/s:<0.15::' setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local deselect=(
+ # network
+ tests/test_stepfunctions/test_stepfunctions.py::test_state_machine_creation_fails_with_invalid_names
+ )
+
+ epytest -m 'not network' ${deselect[@]/#/--deselect }
+}
diff --git a/dev-python/pycollada/metadata.xml b/dev-python/pycollada/metadata.xml
index 6fc1e48318ab..b5ca784f00c5 100644
--- a/dev-python/pycollada/metadata.xml
+++ b/dev-python/pycollada/metadata.xml
@@ -7,16 +7,17 @@
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
- <name>Proxy Maintainers</name>
+ <description>Proxy Maintainers</description>
</maintainer>
<longdescription>
-A python module for creating, editing and loading COLLADA, which is a
-COLLAborative Design Activity for establishing an interchange file format
-for interactive 3D applications.
-</longdescription>
+ A python module for creating, editing and loading COLLADA, which is a
+ COLLAborative Design Activity for establishing an interchange file format
+ for interactive 3D applications.
+ </longdescription>
<upstream>
<remote-id type="github">pycollada/pycollada</remote-id>
<remote-id type="pypi">pycollada</remote-id>
</upstream>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pycollada/pycollada-0.7.1.ebuild b/dev-python/pycollada/pycollada-0.7.1.ebuild
index 45af9b659b19..ebcc4a00a399 100644
--- a/dev-python/pycollada/pycollada-0.7.1.ebuild
+++ b/dev-python/pycollada/pycollada-0.7.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
diff --git a/dev-python/snakeoil/Manifest b/dev-python/snakeoil/Manifest
index 7ed76ca18c45..aa815cbcaab0 100644
--- a/dev-python/snakeoil/Manifest
+++ b/dev-python/snakeoil/Manifest
@@ -4,3 +4,4 @@ DIST snakeoil-0.9.0.tar.gz 271675 BLAKE2B 7dd65335fd79a7d335e5047ba928d7c156c575
DIST snakeoil-0.9.1.tar.gz 271045 BLAKE2B 74c45d38d294e06940d4a339e6d6c6e66d84b7fd174b4d79a9716262bc1902d47dfed1751b44183f9119ccb3bd50e11700951d15070a15b94d6a7b20f77c5919 SHA512 94d8baed4baaab8c3cb3631fed4e6cced8fa32c953bba2ec2afd0cc99eb9b526dc58e5e9efb402513b0416cda21a0811b14a2a98044fd1d5bb7f6f2b349db24a
DIST snakeoil-0.9.2.tar.gz 271441 BLAKE2B 754030285f03c83979c74da6cf8ee585486631e2dd1410c0da4a8e4c59a0367d911af3bc82ecf9e04438e3227982af8789662022ae5dfe5e1d83863aa2ec001e SHA512 664c91236500aafc81157132c5138d14972e9b74a344fdad65064440acdca0cbbdcef63b1d3b4d09f120a14a1eb40bbc8e7801fbbf2fc3b289b615cdd6caf61e
DIST snakeoil-0.9.3.tar.gz 270471 BLAKE2B 2f8c3737c560a756e6fd5450c900d1fbe49b0200e1c4427a312f90d14da22e2e403a710bdc768446b3b03166853d6a0965507550ee837556d273817a7f634282 SHA512 18aa892fe6d225823593f8199f029a1a866052b1cebdf4f77dc57916e6a2b15982b6729d3004a8616eedddee5e3bc260d2c5b2f78170c4d008d1f2e46cc26ce1
+DIST snakeoil-0.9.4.tar.gz 271395 BLAKE2B 6aeaf03e2c2f48a85ce926f1b8e0b86271c608695694358cb6eea56b962c0731b909c16bf37844031e986fc7ebca3a7c4cae5cb94ee55122584bf83981d8c4b6 SHA512 853c3fef517e7161a61ae0622fed82ceffdc110cad4ef7d5e2166728f506228d0802018dd351956f1525f0d27a4150e9885b2cc7c71788950261f72d8d7c4cc9
diff --git a/dev-python/snakeoil/snakeoil-0.9.4.ebuild b/dev-python/snakeoil/snakeoil-0.9.4.ebuild
new file mode 100644
index 000000000000..0d7af14797be
--- /dev/null
+++ b/dev-python/snakeoil/snakeoil-0.9.4.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+inherit distutils-r1
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/pkgcore/snakeoil.git"
+ inherit git-r3
+else
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+DESCRIPTION="misc common functionality and useful optimizations"
+HOMEPAGE="https://github.com/pkgcore/snakeoil"
+
+LICENSE="BSD BSD-2 MIT"
+SLOT="0"
+
+RDEPEND="
+ dev-python/lazy-object-proxy[${PYTHON_USEDEP}]"
+
+[[ ${PV} == 9999 ]] && BDEPEND+=" dev-python/cython[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
diff --git a/dev-python/yapf/Manifest b/dev-python/yapf/Manifest
index de4b096acec7..ed8b94c8cf8b 100644
--- a/dev-python/yapf/Manifest
+++ b/dev-python/yapf/Manifest
@@ -1 +1,2 @@
DIST yapf-0.30.0.tar.gz 168259 BLAKE2B 1c5955028531dbcc20870ef84f3ba225a203f94367edc4e7ee8245a641cd83de0e57b0d55a4c93e8ef6f7bbe8b56f26b06a257968e132a04beffd77a8f951d5f SHA512 a282213d0171671a24d44b7a00b69f65163e7a7b8edfbede5cc38c809236a71f7adc8bfc3c4a1d1e66ac3cb2d9c6bb54b1303a2875ec09cdaddaa71d2039f84b
+DIST yapf-0.31.0.tar.gz 176856 BLAKE2B 080867363df59615d1df77ef51645cd68d931251807da83c5b9d8737a89b01e8dee7457a2b524a76ad2eb21b859ad78168a30f706ef70c3b07bcb94a98990752 SHA512 5f376e985e182aab289c41e4071fd98c0784e5292974e2efcc4beaaca68cb83068b297e228a46f51f0d9370634dbd32948bdbd03e6b65c76b43efba0fe0d3454
diff --git a/dev-python/yapf/yapf-0.31.0.ebuild b/dev-python/yapf/yapf-0.31.0.ebuild
new file mode 100644
index 000000000000..444768e93b96
--- /dev/null
+++ b/dev-python/yapf/yapf-0.31.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2018-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="A formatter for Python files"
+HOMEPAGE="https://github.com/google/yapf"
+SRC_URI="https://github.com/google/yapf/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? ( dev-python/toml[${PYTHON_USEDEP}] )"
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v -p '*_test.py' ||
+ die "Tests failed with ${EPYTHON}"
+}